Channels

Configure optional channel cadence

PUT
/api/projects/{projectId}/channels/{channelId}/cadence

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
channelId*string
Length1 <= length

Request Body

  1. body
expectedRevision*integer
Range0 <= value
timeZone?string
dailyMax*|null
weeklyMax*|null
minimumIntervalMs*|null

Response Body

Response for status 200

application/json
  1. response
channelId*string
revision*integer
timeZone*string
dailyMax*integer|null
weeklyMax*integer|null
minimumIntervalMs*integer|null
Example Request
curl -X PUT 'https://postdot.example/api/projects/string/channels/string/cadence' \
  -H 'Content-Type: application/json' \
  -d '{
  "expectedRevision": 0,
  "dailyMax": 1,
  "weeklyMax": 1,
  "minimumIntervalMs": 1
}'
Example Response
{
  "channelId": "string",
  "revision": 0,
  "timeZone": "string",
  "dailyMax": 0,
  "weeklyMax": 0,
  "minimumIntervalMs": 0
}

Was this page helpful?